packages.u.com uses pre-2010 branding

Reported by Paul Sladen on 2011-07-29
52
This bug affects 8 people
Affects Status Importance Assigned to Milestone
ubuntu-branding
Undecided
Marco Biscaro

Bug Description

Dave Walker noticed that:

  http://packages.ubuntu.com/

uses the pre-2010 branding. Ideally this should be updated to the current branding found at:

  http://design.canonical.com/the-toolkit/

Paul Sladen (sladen) on 2011-07-29
Changed in ubuntu-branding:
status: New → Triaged
Paul Sladen (sladen) wrote :

I think packages.* are run by Frank Lichtenheld; Frank: what's the most useful templates/information I can help you with in order to try and update the branding of packages.ubuntu.com to match the rest of the current Ubuntu logo/brand guidelines?

We should be able to use one of the other sites as a template in some form, but I'm not sure what youneed (the translated pages some how need to slot in too, but I'm not sure how).

Koen Verweij (kfverweij) wrote :

I know it is not extremely important or even urgent, but it would be nice if all of Ubuntu's sub-sites would use the same branding (logo & theme) to create a uniform appearance and feeling to the public.
Here is a similar bug regarding help.ubuntu.com: bug #589057 (also not fixed yet).

Changed in ubuntu-branding:
status: Triaged → In Progress
assignee: nobody → Marco Biscaro (marcobiscaro2112)

WIP screenshot.

The ubuntu-packages code is maintained here: http://anonscm.debian.org/gitweb/?p=webwml/packages.git;a=shortlog;h=refs/heads/ubuntu-master

I think the changes are complete (I've uploaded them here: https://github.com/marcobiscaro2112/ubuntu-packages).

Does anyone know how to get these changes merged in the debian repository?

@rhonda: can you take a look at this?

* Marco Biscaro <email address hidden> [2013-01-21 00:43:12 CET]:
> @rhonda: can you take a look at this?

 The git repository is open to anyone - I'm welcoming any pull requests
for that. :)

 Enjoy,
Rhonda
--
Fühlst du dich mutlos, fass endlich Mut, los |
Fühlst du dich hilflos, geh raus und hilf, los | Wir sind Helden
Fühlst du dich machtlos, geh raus und mach, los | 23.55: Alles auf Anfang
Fühlst du dich haltlos, such Halt und lass los |

Gerfried Fuchs (rhonda) wrote :

Ah, didn't notice (just by email) that you had the branch there. Will take a look at it. :)

Paul Sladen (sladen) wrote :

Rhonda: we've got a sort-of pull request in comment #5 above. Does it need to be in another format?

Thank you Gerfried! I saw that you merged the changes.

Just one important thing: when I was testing it in my local system, the bin/daily script didn't copied the files from static folder to the right location.

The cron.d/700install_static didn't copied the CSS/JS/image files:

      Ignore: [ \b(CVS|RCS|\.git|\.svn)\b, ^#, ~$, \.sed\.in$ ]
        Copy: [ \.(gif|png|jpg|pdf|css|js|txt)$ ]
      Accept: [ \.tmpl$, robots.txt ]
      Suffix: [ tmpl => html ]
     Summary:
            0 files processed
            0 files copied
            0 directories created
            2 files skipped (not modified)
           40 files skipped (ignored)

If I comment the "accept" lines in conf/ttreerc, everything works fine:

      Ignore: [ \b(CVS|RCS|\.git|\.svn)\b, ^#, ~$, \.sed\.in$ ]
        Copy: [ \.(gif|png|jpg|pdf|css|js|txt)$ ]
      Accept: [ ]
      Suffix: [ tmpl => html ]
[ ... files copied ...]
     Summary:
            2 files processed
           39 files copied
            0 directories created
            0 files skipped (not modified)
            1 file skipped (ignored)

Maybe I'm just doing something wrong, or there is a bug in my local setup, but be aware that the bin/daily script may not copy all files. Should it be executed manually to ensure that everything goes well?

Gerfried Fuchs (rhonda) wrote :

Marco, please check whether I missed anything. Somehow the static files didn't get copied over automatically, so I had to do that by hand.

Just a side-note, I asked (a long time ago) already about someone who was willing to get the new branding for the packages site done - so I'm very grateful for you, Marco, to actually do it finally. :)

A small question though: Why did you throw away all css files and installed a new one? What's the reasoning behind that? Because actually, it might make future modifications a bit more trickier, don't you think so? Especially when new styles for some parts get added, and they are not represented in your ubuntu-new.css file?

Enjoy!
Rhonda

Changed in ubuntu-branding:
status: In Progress → Fix Released

Em 21-01-2013 13:48, Gerfried Fuchs escreveu:
> Marco, please check whether I missed anything. Somehow the static files
> didn't get copied over automatically, so I had to do that by hand.

It looks like the about page (http://packages.ubuntu.com/about/) was not
updated.

> Just a side-note, I asked (a long time ago) already about someone who
> was willing to get the new branding for the packages site done - so I'm
> very grateful for you, Marco, to actually do it finally. :)

=)

> A small question though: Why did you throw away all css files and
> installed a new one? What's the reasoning behind that? Because actually,
> it might make future modifications a bit more trickier, don't you think
> so? Especially when new styles for some parts get added, and they are
> not represented in your ubuntu-new.css file?

Well, there was a LOT of CSS in the debian files. If I had modified
those files instead of creating a new one, probably when changed in
master, they would conflict. Moreover, probably we don't want changes
from debian CSS directly in packages.ubuntu.com, because probably they
will break things (and a manual review would be needed anyway).

IMO, it's better to implement new features from debian correctly (read
manually) instead of get them merged and have to fix them. What do you
think?

And the favicon is wrong too.

Gerfried Fuchs (rhonda) wrote :

* Marco Biscaro <email address hidden> [2013-01-21 17:48:00 CET]:
> Em 21-01-2013 13:48, Gerfried Fuchs escreveu:
> > Marco, please check whether I missed anything. Somehow the static files
> > didn't get copied over automatically, so I had to do that by hand.
>
> It looks like the about page (http://packages.ubuntu.com/about/) was not
> updated.

 Will look into it tomorrow (and the old favicon.ico which I got a
seperate mail about.)

> > A small question though: Why did you throw away all css files and
> > installed a new one? What's the reasoning behind that? Because actually,
> > it might make future modifications a bit more trickier, don't you think
> > so? Especially when new styles for some parts get added, and they are
> > not represented in your ubuntu-new.css file?
>
> Well, there was a LOT of CSS in the debian files. If I had modified
> those files instead of creating a new one, probably when changed in
> master, they would conflict. Moreover, probably we don't want changes
> from debian CSS directly in packages.ubuntu.com, because probably they
> will break things (and a manual review would be needed anyway).

 That's what it was last after all the other css files. From what I
understood the idea was to override the styles within the ubuntu.css
instead of editing the debian.css. That way, if it's not included in
ubuntu.css it will use the entries from debian.css as fallback. That's
the way it was done before. :)

> IMO, it's better to implement new features from debian correctly (read
> manually) instead of get them merged and have to fix them. What do you
> think?

 Sure - but that would mean someone to be willing to take care for it in
the long run (not that I plan to overhaul the whole css completely, mind
you.) May I contact you in the future if something pops up along that
lines?

 Enjoy,
Rhonda
--
Fühlst du dich mutlos, fass endlich Mut, los |
Fühlst du dich hilflos, geh raus und hilf, los | Wir sind Helden
Fühlst du dich machtlos, geh raus und mach, los | 23.55: Alles auf Anfang
Fühlst du dich haltlos, such Halt und lass los |

Gerfried Fuchs (rhonda) wrote :

* Marco Biscaro <email address hidden> [2013-01-21 17:48:00 CET]:
> Em 21-01-2013 13:48, Gerfried Fuchs escreveu:
> > Marco, please check whether I missed anything. Somehow the static files
> > didn't get copied over automatically, so I had to do that by hand.
>
> It looks like the about page (http://packages.ubuntu.com/about/) was not
> updated.

 Did that now, was a permission issue on the file. Unfortunately we are
not using the dedicated packagesubuntu user yet (haven't figured out how
to set my sudo password), but that should work now. :)

 The favicon.ico was copied over from the regular ubuntu website - the
file isn't included within the git repository it seems (adding it to the
static/ subdirectory should fix that).

 The accept lines in conf/ttreerc look suspicious to me, you are right.
I've commented them out for the time being, we'll see what we gain from
that in the long run. :)

> IMO, it's better to implement new features from debian correctly (read
> manually) instead of get them merged and have to fix them. What do you
> think?

 Sure, but that would mean that there is someone willing and dedicated
to look at such changes. On the other hand, they won't be that
frequent, and I guess it can be done whenever it happens. May I contact
you in future along those lines? :)

 Enjoy,
Rhonda
--
Fühlst du dich mutlos, fass endlich Mut, los |
Fühlst du dich hilflos, geh raus und hilf, los | Wir sind Helden
Fühlst du dich machtlos, geh raus und mach, los | 23.55: Alles auf Anfang
Fühlst du dich haltlos, such Halt und lass los |

2013/1/21 Gerfried Fuchs <email address hidden>

> That's what it was last after all the other css files. From what I
> understood the idea was to override the styles within the ubuntu.css
> instead of editing the debian.css. That way, if it's not included in
> ubuntu.css it will use the entries from debian.css as fallback. That's
> the way it was done before. :)
>

I still think this is a bad idea... This would mean much more CSS to the
browser interpret and more rules in ubuntu.css to workarround rules in
debian.css. Doesn't look good...

2013/1/22 Gerfried Fuchs <email address hidden>

> * Marco Biscaro <email address hidden> [2013-01-21 17:48:00 CET]:
> > It looks like the about page (http://packages.ubuntu.com/about/) was
> not
> > updated.
>
> Did that now, was a permission issue on the file. Unfortunately we are
> not using the dedicated packagesubuntu user yet (haven't figured out how
> to set my sudo password), but that should work now. :)
>
> The favicon.ico was copied over from the regular ubuntu website - the
> file isn't included within the git repository it seems (adding it to the
> static/ subdirectory should fix that).
>

It's looking very nice now! :)

> The accept lines in conf/ttreerc look suspicious to me, you are right.
> I've commented them out for the time being, we'll see what we gain from
> that in the long run. :)
>

Maybe this is a bug that affects the packages.debian.org too? (but wasn't
noticed because there was no new files in static folder for a long time)

>
> > IMO, it's better to implement new features from debian correctly (read
> > manually) instead of get them merged and have to fix them. What do you
> > think?
>
> Sure, but that would mean that there is someone willing and dedicated
> to look at such changes. On the other hand, they won't be that
> frequent, and I guess it can be done whenever it happens. May I contact
> you in future along those lines? :)
>

Sure! Please, contact me whenever necessary.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers